<div align="center">
<img src="https://user-images.githubusercontent.com/1626923/137092657-fb398d20-b592-4661-a1f9-4135db0b61d5.png" height="80px"/>
<br/>
<img src="https://www-cdn.bigcommerce.com/assets/bc-photo-branding-bigcommerce-primary-gray-background.png?mtime=20211210160101" height="80px"/>
</div>

<!-- ALL-CONTRIBUTORS-BADGE:START - Do not remove or modify this section -->
[![All Contributors](https://img.shields.io/badge/all_contributors-11-orange.svg?style=flat-square)](#contributors-)
<!-- ALL-CONTRIBUTORS-BADGE:END -->

## Vue Storefront 2 integration with BigCommerce

This project is a BigCommerce integration for Vue Storefront 2.

## How to start if you want to try out the integration

```
yarn global add @vue-storefront/cli
```
```
vsf init bigcommerce && cd bigcommerce && yarn && yarn dev
```

## How to start if you want to contribute?

Want to contribute? Ping us on `bigcommerce` channel on [our Discord](http://discord.vuestorefront.io)!

### Requirements:
- NodeJS v16.14 or later
- Yarn
- BigCommerce instance

### Steps

(<b>Note: Currently only yarn is supported because of workspaces resolving. Do not use npm to install or build the project.</b>)

1. [Fork the repo](https://docs.github.com/en/get-started/quickstart/fork-a-repo)

2. Clone your fork of the repo
    ```bash
    git clone https://github.com/vuestorefront/bigcommerce.git && cd bigcommerce
    ```

3. Checkout `develop` branch
    ```bash
    git checkout develop
    ```

4. Run `yarn` to install dependencies
    ```bash
    yarn install
    ```
5. Follow the [configuration guide](https://docs.europe-west1.gcp.storefrontcloud.io/bigcommerce/guide/configuration.html) to prepare BigCommerce instance and VueStorefront app

6. Build dependencies `yarn build`
    ```bash
    yarn build
    ```

7. Run `yarn dev` to run project. You can find other commands in `package.json`
    ```bash
    yarn dev
    ```

## Resources

- [Vue Storefront Documentation](https://docs.vuestorefront.io/v2/)
- [BigCommerce integration Documentation](https://docs.europe-west1.gcp.storefrontcloud.io/bigcommerce/guide/configuration.html#set-up-vuestorefront) (Work In Progress)
- [Community Chat](http://discord.vuestorefront.io)

## Support

If you have any questions about this integration we will be happy to answer them on  `bigcommerce` channel on [our Discord](http://discord.vuestorefront.io).

## Contributors

### Honorable Mentions

- [scernisevs](https://github.com/scernisevs)
- [dhargitai](https://github.com/dhargitai)
- [zoltantakacs-born](https://github.com/zoltantakacs-born) 
- [darocha](https://github.com/darocha)

Thanks go to these wonderful people 🙌

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tr>
    <td align="center"><a href="https://github.com/scernisevs"><img src="https://avatars.githubusercontent.com/u/73180534?v=4?s=80" width="80px;" alt=""/><br /><sub><b>scernisevs</b></sub></a><br /><a href="#question-scernisevs" title="Answering Questions">💬</a> <a href="https://github.com/vuestorefront/bigcommerce/commits?author=scernisevs" title="Code">💻</a> <a href="https://github.com/vuestorefront/bigcommerce/commits?author=scernisevs" title="Documentation">📖</a> <a href="https://github.com/vuestorefront/bigcommerce/pulls?q=is%3Apr+reviewed-by%3Ascernisevs" title="Reviewed Pull Requests">👀</a></td>
    <td align="center"><a href="https://github.com/zoltantakacs-born"><img src="https://avatars.githubusercontent.com/u/89450570?v=4?s=80" width="80px;" alt=""/><br /><sub><b>Zoltán Takács</b></sub></a><br /><a href="https://github.com/vuestorefront/bigcommerce/commits?author=zoltantakacs-born" title="Code">💻</a> <a href="https://github.com/vuestorefront/bigcommerce/pulls?q=is%3Apr+reviewed-by%3Azoltantakacs-born" title="Reviewed Pull Requests">👀</a></td>
    <td align="center"><a href="https://github.com/dhargitai"><img src="https://avatars.githubusercontent.com/u/4903405?v=4?s=80" width="80px;" alt=""/><br /><sub><b>David Hargitai</b></sub></a><br /><a href="https://github.com/vuestorefront/bigcommerce/commits?author=dhargitai" title="Code">💻</a> <a href="https://github.com/vuestorefront/bigcommerce/pulls?q=is%3Apr+reviewed-by%3Adhargitai" title="Reviewed Pull Requests">👀</a></td>
    <td align="center"><a href="http://darocha.com/"><img src="https://avatars.githubusercontent.com/u/6815377?v=4?s=80" width="80px;" alt=""/><br /><sub><b>Marcelo Darocha</b></sub></a><br /><a href="https://github.com/vuestorefront/bigcommerce/commits?author=darocha" title="Code">💻</a> <a href="https://github.com/vuestorefront/bigcommerce/pulls?q=is%3Apr+reviewed-by%3Adarocha" title="Reviewed Pull Requests">👀</a></td>
    <td align="center"><a href="https://wojciechsikora.dev/en"><img src="https://avatars.githubusercontent.com/u/35867383?v=4?s=80" width="80px;" alt=""/><br /><sub><b>Wojciech Sikora</b></sub></a><br /><a href="#question-WojtekTheWebDev" title="Answering Questions">💬</a> <a href="https://github.com/vuestorefront/bigcommerce/commits?author=WojtekTheWebDev" title="Code">💻</a> <a href="https://github.com/vuestorefront/bigcommerce/commits?author=WojtekTheWebDev" title="Documentation">📖</a> <a href="#projectManagement-WojtekTheWebDev" title="Project Management">📆</a> <a href="https://github.com/vuestorefront/bigcommerce/pulls?q=is%3Apr+reviewed-by%3AWojtekTheWebDev" title="Reviewed Pull Requests">👀</a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/Mateuszpietrusinski"><img src="https://avatars.githubusercontent.com/u/24594740?v=4?s=80" width="80px;" alt=""/><br /><sub><b>Mateusz Pietrusiński</b></sub></a><br /><a href="#business-Mateuszpietrusinski" title="Business development">💼</a> <a href="https://github.com/vuestorefront/bigcommerce/commits?author=Mateuszpietrusinski" title="Code">💻</a> <a href="#mentoring-Mateuszpietrusinski" title="Mentoring">🧑‍🏫</a></td>
    <td align="center"><a href="https://github.com/davidhargitai-born"><img src="https://avatars.githubusercontent.com/u/86467072?v=4?s=80" width="80px;" alt=""/><br /><sub><b>davidhargitai-born</b></sub></a><br /><a href="https://github.com/vuestorefront/bigcommerce/commits?author=davidhargitai-born" title="Code">💻</a></td>
    <td align="center"><a href="https://heitor.co/"><img src="https://avatars.githubusercontent.com/u/1626923?v=4?s=80" width="80px;" alt=""/><br /><sub><b>Heitor Ramon Ribeiro</b></sub></a><br /><a href="https://github.com/vuestorefront/bigcommerce/commits?author=bloodf" title="Code">💻</a> <a href="#maintenance-bloodf" title="Maintenance">🚧</a></td>
    <td align="center"><a href="https://github.com/mkoszut"><img src="https://avatars.githubusercontent.com/u/19313324?v=4?s=80" width="80px;" alt=""/><br /><sub><b>Mateusz Koszutowski</b></sub></a><br /><a href="https://github.com/vuestorefront/bigcommerce/commits?author=mkoszut" title="Code">💻</a> <a href="#infra-mkoszut" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a></td>
    <td align="center"><a href="https://github.com/filipsobol"><img src="https://avatars.githubusercontent.com/u/4145208?v=4?s=80" width="80px;" alt=""/><br /><sub><b>Filip Sobol</b></sub></a><br /><a href="https://github.com/vuestorefront/bigcommerce/commits?author=filipsobol" title="Documentation">📖</a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/byakku"><img src="https://avatars.githubusercontent.com/u/24924543?v=4?s=80" width="80px;" alt=""/><br /><sub><b>byakku</b></sub></a><br /><a href="https://github.com/vuestorefront/bigcommerce/commits?author=byakku" title="Code">💻</a></td>
  </tr>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification. Contributions of any kind welcome!
