import { MetaCollection, UserAddress } from '..';
/**
 * Customer address collection response.
 */
export interface GetAddressResponse {
    /**
     * Collection of customer addresses.
     */
    data: Array<UserAddress>;
    /**
     * Data about the response, including pagination and collection totals.
     */
    meta: MetaCollection;
}
/**
 * Response of update customer address request.
 */
export declare type UpdateAddressResponse = GetAddressResponse;
/**
 * Response of create customer address request.
 */
export declare type CreateAddressResponse = GetAddressResponse;
/**
 * Response of delete customer address requests.
 */
export declare type DeleteAddressResponse = GetAddressResponse;
//# sourceMappingURL=responses.d.ts.map