export * from './parameters';
export * from './responses';
/**
 * Possible values of include parameter for customer endpoints.
 */
export declare enum CustomersIncludeEnum {
    /**
     * Include addresses.
     */
    Addresses = "addresses",
    /**
     * Include store credit.
     */
    Storecredit = "storecredit",
    /**
     * Include attributes.
     */
    Attributes = "attributes",
    /**
     * Include form fields.
     */
    Formfields = "formfields"
}
/**
 * Customer authentication.
 */
export interface Authentication {
    /**
     * If true, this customer will be forced to change password on next login.
     */
    force_password_reset?: boolean;
    /**
     * New password for customer.
     */
    new_password?: string;
}
//# sourceMappingURL=index.d.ts.map